searchNodes=[{"doc":"A morphological parser (analyzer) / lemmatizer implemented with textbook standard method, using an abstraction called Finite State Transducer (FST). FST is implemented in gen_fst package A parser can be initilized with desired language using Lemma.new/1 . This initialized parser can be used to parse words with Lemma.parse/2 Examples en_parser = Lemma . new :en #=&gt; nil en_parser |&gt; Lemma . parse ( &quot;plays&quot; ) #=&gt; &quot;play&quot; About morphological parsing / lemmatization For grammatical reasons, documents are going to use different forms of a word, such as organize, organizes, and organizing. Additionally, there are families of derivationally related words with similar meanings, such as democracy, democratic, and democratization. In many situations, it seems as if it would be useful for a search for one of these words to return documents that contain another word in the set. &lt;br/&gt; The goal of both stemming and lemmatization is to reduce inflectional forms and sometimes derivationally related forms of a word to a common base form. For instance: &lt;br/&gt;&lt;br/&gt;am, are, is ⇒ be &lt;br/&gt;car, cars, car's, cars' ⇒ car &lt;br/&gt;&lt;br/&gt;The result of this mapping of text will be something like: &lt;br/&gt; the boy's cars are different colors ⇒ the boy car be differ color. &lt;br/&gt; -- Stanford NLP Group","ref":"Lemma.html","title":"Lemma","type":"module"},{"doc":"Initialize a morphological parser for the given language. Only English ( :en ) is supported currently.","ref":"Lemma.html#new/1","title":"Lemma.new/1","type":"function"},{"doc":"Use the given parser to parse a word or a list of words.","ref":"Lemma.html#parse/2","title":"Lemma.parse/2","type":"function"},{"doc":"Functions for generating finite state transducer from a massive sets of rules.","ref":"Lemma.MorphParserGenerator.html","title":"Lemma.MorphParserGenerator","type":"module"},{"doc":"Given a finite state transducer fst a list of rules, produce a new fst that incorporate these rules","ref":"Lemma.MorphParserGenerator.html#generate_rules/2","title":"Lemma.MorphParserGenerator.generate_rules/2","type":"function"},{"doc":"Given a finite state transducer fst, a list of words and a list of suffix rules; produce a new fst that incorporate these suffix rules for each of the word.","ref":"Lemma.MorphParserGenerator.html#generate_rules/3","title":"Lemma.MorphParserGenerator.generate_rules/3","type":"function"},{"doc":"A Morphological Parser (Analyser) / Lemmatizer written in Elixir. It is implemented using a textbook classic method relying in an abstraction called Finite State Transducer . What are morphological parsing and lemmatization? For grammatical reasons, documents are going to use different forms of a word, such as organize, organizes, and organizing. Additionally, there are families of derivationally related words with similar meanings, such as democracy, democratic, and democratization. In many situations, it seems as if it would be useful for a search for one of these words to return documents that contain another word in the set. &lt;br/&gt; The goal of both stemming and lemmatization is to reduce inflectional forms and sometimes derivationally related forms of a word to a common base form. For instance: &lt;br/&gt;&lt;br/&gt;am, are, is ⇒ be &lt;br/&gt;car, cars, car's, cars' ⇒ car &lt;br/&gt;&lt;br/&gt;The result of this mapping of text will be something like: &lt;br/&gt; the boy's cars are different colors ⇒ the boy car be differ color. &lt;br/&gt; -- Stanford NLP Group Not for production use, this library is neither cpu nor memory efficient","ref":"readme.html","title":"<img src=\"http://cs.mcgill.ca/~mxia3/images/lemma.png\" alt=\"Lemma\">","type":"extras"},{"doc":"# Initialize a new morphological parser for English parser = Lemma . new :en assert { :ok , &quot;play&quot; } == parser |&gt; Lemma . parse ( &quot;plays&quot; ) Documentation can be found at https://hexdocs.pm/lemma .","ref":"readme.html#example-usage","title":"<img src=\"http://cs.mcgill.ca/~mxia3/images/lemma.png\" alt=\"Lemma\"> - Example Usage","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding lemma to your list of dependencies in mix.exs : def deps do [ { :lemma , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"<img src=\"http://cs.mcgill.ca/~mxia3/images/lemma.png\" alt=\"Lemma\"> - Installation","type":"extras"},{"doc":"Lemmatize a paragraph of words A simple benchmarking script is provided to test the performance of performing lemmatization on a paragraph of words. The script can be invoked with mix run benchmarks/lemmatizing.exs Sample output Benchmark using 430 fixture words Operating System : Windows CPU Information : Intel ( R ) Core ( TM ) i5 - 5300 U CPU @ 2.30 GHz Number of Available Cores : 4 Available memory : 12.753915904 GB Elixir 1.5 . 0 Erlang 19.2 Benchmark suite executing with the following configuration : warmup : 2.00 s time : 5.00 s parallel : 1 inputs : none specified Estimated total run time : 7.00 s Benchmarking Lemmatize input sequential ... Name ips average deviation median Lemmatize input sequential 4.31 232.14 ms 68.17 % 110.00 ms Compile-time vs Runtime parser To evaluate the difference between building the parser at compile time vs. building the parser at runtime, we have another benchmarking script. The script can be invoked with mix run benchmarks/runtime_vs_compiletime.exs Sample output Operating System : Windows CPU Information : Intel ( R ) Core ( TM ) i5 - 5300 U CPU @ 2.30 GHz Number of Available Cores : 4 Available memory : 12.753915904 GB Elixir 1.5 . 0 Erlang 19.2 Benchmark suite executing with the following configuration : warmup : 2.00 s time : 5.00 s parallel : 1 inputs : none specified Estimated total run time : 14.00 s Benchmarking Compiled parser ... Benchmarking Dynamic parser ... Name ips average deviation median Compiled parser 15.91 K 62.86 us 123.32 % 0.0 us Dynamic parser 3.80 K 262.91 us 118.03 % 160.00 us Comparison : Compiled parser 15.91 K Dynamic parser 3.80 K - 4.18 x slower","ref":"readme.html#benchmarking","title":"<img src=\"http://cs.mcgill.ca/~mxia3/images/lemma.png\" alt=\"Lemma\"> - Benchmarking","type":"extras"}]